#ifndef __OOL_XMENUITEM_H__
#define __OOL_XMENUITEM_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XMenuItem                             */
/*                       derived from: XMenu                                 */
/*                        last update: 7/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/



#include "xobject.h"
#include "xmenu.h"

class _export_ XMenuItem: public XMenu
{
     friend class XMenu;
   private:
     char * t;
     MENUITEM item;
   public:
     XMenuItem();
     XMenuItem( char* text, SHORT id, LONG style = MIS_TEXT, LONG position = MIT_END, BOOL isSeparator = FALSE);
     virtual ~XMenuItem();
     char * GetText(void);
     void SetID( SHORT id);
     void SetText( char * p);
};


#endif
